#282 closed defect (fixed)

libblock bdbuf error

Reported by: kam Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: lib/block Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

in file: rtems-ss-20020628/c/src/exec/libblock/src/bdbuf.c
in function rtems_bdbuf_read()
in device ioctl() call logical device number used instead of corresponding physical device number.

Release:
rtems-ss-20020628

Environment:
linux

Attachments (1)

bdbuf.c (45.5 KB) - added by kam on 12/03/06 at 13:31:13.
bdbuf.c

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 09/06/02 at 11:01:48 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied. Thank you.

Changed on 12/03/06 at 13:31:13 by kam

Attachment: bdbuf.c added

bdbuf.c

comment:2 Changed on 10/10/17 at 06:49:19 by Sebastian Huber

Component: scorelib/block
Note: See TracTickets for help on using tickets.